import request from '@/utils/request'
// 查询预支工资账单列表
export function billList(query) {
    return request({
        url: '/djl-salary//advance/salary/bill/l',
        method: 'get',
        params: query
    })
}
// 查询项目账单明细
export function billProjectList(query) {
    return request({
        url: "/djl-salary/advance/salary/bill/project/l",
        method: 'get',
        params: query,
    })
}
// 查询所有项目下拉
export function queryallproject(query) {
    return request({
        url: "/djl-salary/salaryproject/queryallproject",
        method: 'get',
        params: query,
    })
}
// 查询所有派遣公司下拉
export function queryAllDispatch(query) {
    return request({
        url: "/djl-salary/advance/salary/bill/dispatch/list",
        method: 'get',
        params: query,
    })
}
// 预支工资账单明细列表
export function billDetail(query) {
    return request({
        url: "/djl-salary/advance/salary/bill/details",
        method: 'get',
        params: query,
    })
}
// 结算
export function billSettle(query) {
    return request({
        url: "/djl-salary/advance/salary/bill/settle",
        method: 'post',
        data: query,
    })
}
// 收款
export function billCollect(query) {
    return request({
        url: "/djl-salary/advance/salary/bill/collect",
        method: 'post',
        data: query,
    })
}